"""
Providing latex strings for units of observables.

Felix Metzner 2021
"""

from typing import Optional

__all__ = [
    "LatexUnits",
]


class LatexUnits:
    no_unit = None  # type: Optional[str]

    gev = r"$\mathrm{GeV}$"  # type: str
    gev_sq = r"$\mathrm{GeV}^2$"  # type: str
    mev = r"$\mathrm{MeV}$"  # type: str

    rad = r"$\mathrm{rad}$"  # type: str

    cm = r"$\mathrm{cm}$"  # type: str
