"""
Defines names of data samples at specific stages of the analysis process.

Felix Metzner 2021
"""

from typing import ClassVar


__all__ = [
    "DataSampleTags",
]


class DataSampleTags:
    weight_finalized_sample_tag: ClassVar[str] = "withFinalWeights"
    resolution_corrected_sample_tag: ClassVar[str] = "withMMSQResCorr"
