from rdstar.latex_labels.latex_units import LatexUnits
from rdstar.comparison_tools.select_utilities import SimpleCutInfo
from rdstar.latex_labels.latex_observable_names import LatexObsNames
from rdstar.offline_analysis.histogram_variables import RDStarHistVars

pl_star_selection: SimpleCutInfo = SimpleCutInfo(
    cut_str=f"{RDStarHistVars.pl_star.df_label} <= 1.6",
    cut_latex_label=rf"{LatexObsNames.fitting_p_l_star[:-1]} < 1.6\,{LatexUnits.gev[1:]}",
    cut_var_col_name=RDStarHistVars.pl_star.df_label,
)

pl_star_anti_selection: SimpleCutInfo = SimpleCutInfo(
    cut_str=f"{RDStarHistVars.pl_star.df_label} > 1.6",
    cut_latex_label=rf"{LatexObsNames.fitting_p_l_star[:-1]} > 1.6\,{LatexUnits.gev[1:]}",
    cut_var_col_name=RDStarHistVars.pl_star.df_label,
)
